Bug 584353 - SIGSEGV, perhaps in ~QPaintDevice(), within release_QApplication whilst cleaning up after an unhandled Python exception running GNS3-0.7-src/gns3
Summary: SIGSEGV, perhaps in ~QPaintDevice(), within release_QApplication whilst clean...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQt4
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ed16c57c6e7445541015648fd55...
Keywords:
: 584394 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-21 13:22 UTC by Markus Schulze
Modified: 2010-12-03 15:37 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-03 15:37:15 UTC


Attachments (Terms of Use)
File: backtrace (17.06 KB, text/plain)
2010-04-21 13:22 UTC, Markus Schulze
no flags Details

Description Markus Schulze 2010-04-21 13:22:47 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: python /home/schulze/Downloads/GNS/GNS3-0.7-src/gns3
comment: I don't exactly know what I did. I think I tried to use a Python Script called unpack.py
component: python
executable: /usr/bin/python
kernel: 2.6.32.11-99.fc12.x86_64
package: python-2.6.2-4.fc12
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

Comment 1 Markus Schulze 2010-04-21 13:22:50 UTC
Created attachment 408061 [details]
File: backtrace

Comment 2 Dave Malcolm 2010-04-22 20:49:32 UTC
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -qa "qt*" sip PyQt4

Looking at the backtrace, it looks like the problem occurred in the program's single thread in release_QApplication, whilst cleaning up after encountering an unhandled Python exception.

Reassigning component from "python" to "PyQt4";  hopefully the PyQt4 maintainer will be able to figure this out further or reassign as necessary.

Looks somewhat similar to bug 584284, but I'm not sure if they're the same problem.

Comment 3 Dave Malcolm 2010-04-22 20:51:39 UTC
*** Bug 584394 has been marked as a duplicate of this bug. ***

Comment 4 Jiri Popelka 2010-04-23 07:23:34 UTC
There's bug #583286 with similar backtrace filled against hplip.

Comment 5 Rex Dieter 2010-06-11 14:53:47 UTC
ping, reporter, please provide output of:

rpm -q qt sip PyQt4

Comment 6 Bug Zapper 2010-11-03 16:39:20 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-12-03 15:37:15 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.